## lcdproc 0.4.5-1

=== debian/changelog ===
lcdproc (0.4.5-1) unstable; urgency=high

  * New upstream release which fixes two buffer overflow / string
    format vulnerabilities. By the way, yes I know this package is
    'native' when it should be 'normal', but I'll fix that with
    another upload because I want to get this security update done
    ASAP since upstream indicate it's a serious problem.
  * Fixed location of example client 'metar.pl'.
    Closes: #249770

 -- Jonathan Oxer <jon@debian.org>  Wed, 19 May 2004 21:32:59 +1000

lcdproc (0.4.4-1) unstable; urgency=low

  * The April Fool's Release.
    Stable version bump adds some funky new things, including
    support for USB displays with a couple of new drivers. Also
    fixes a memory leak, some assorted bugs in render.c, some
    flickering problems with the CFontz driver. Adds upstream
    support for the Apple Network Server (ANS) LCD, which:
    (closes: #236687)

 -- Jonathan Oxer <jon@debian.org>  Thu,  1 Apr 2004 12:30:01 +1000

lcdproc (0.4.3-15) unstable; urgency=low

  * Applied patch from Gentoo by Bernhard Tittelbach which fixes a
    memory leak and some of the heartbeat handling (see
    http://bugs.gentoo.org/attachment.cgi?id=6981&action=view and
    debian/patches/lcdproc-0.4.3-gentoo.diff)

 -- Jonathan Oxer <jon@debian.org>  Wed, 17 Dec 2003 10:32:30 +1100

lcdproc (0.4.3-14) unstable; urgency=low

  * New maintainer.
    (closes: #196676)
  * Fix for trivial spelling mistayk in long description and
    added comment about creating custom clients.
    (closes: #199303)
  * Rebuilt package to bring it up to date with latest standards
    version, latest package scripts etc and renamed items such as
    init script and man pages in a more standard way.
  * Wrote man pages for all the example clients, but not set them
    to be installed because they have .pl extensions and
    dh_installman thinks they're in Polish. So also...
  * Moved all example clients into /usr/share/doc/lcdproc/examples

 -- Jonathan Oxer <jon@debian.org>  Mon,  8 Dec 2003 16:30:05 +1100

lcdproc (0.4.3-13) unstable; urgency=low

  * orphaning package see #196676

 -- Noel Koethe <noel@debian.org>  Sun, 29 Jun 2003 13:03:00 +0200

lcdproc (0.4.3-12) unstable; urgency=high

  * added missing patch to fix this problem
    http://online.securityfocus.com/archive/1/56411
  * updated Standards-Version
  * added USB controller patch
    (closes: Bug#166051)

 -- Noel Koethe <noel@debian.org>  Thu,  9 Jan 2003 12:10:00 +0100

lcdproc (0.4.3-11) unstable; urgency=low

  * 0.4.3 release version
  * updated Standards-Version to 3.5.7
  * enabled all drivers
    (closes: Bug#145314)
    (closes: Bug#141577)

 -- Noel Koethe <noel@debian.org>  Sat, 22 Sep 2002 00:15:00 +0200

lcdproc (0.4.3-10) unstable; urgency=medium

  * updated code from cvs to get all drivers updated.
    upstream maintainer asked for this for woody release
    this version will the 0.4.3 upstream release
  * small changes in description
  * added some upstream Docs which are not in the source

 -- Noel Koethe <noel@debian.org>  Tue, 18 Apr 2002 18:05:00 +0200

lcdproc (0.4.3-9) unstable; urgency=low

  * added .de template translation
    (closes: Bug#137482)
  * added URL to description

 -- Noel Koethe <noel@debian.org>  Sun, 24 Mar 2002 23:53:00 +0100

lcdproc (0.4.3-8) unstable; urgency=low

  * upstream fixed LCDd.8 and lcdproc.1 manpage
    (closes: Bug#136325)

 -- Noel Koethe <noel@debian.org>  Thu,  7 Mar 2002 11:45:00 +0100

lcdproc (0.4.3-7) unstable; urgency=low

  * added ru translation of template
    (closes: Bug#136596)

 -- Noel Koethe <noel@debian.org>  Wed,  6 Mar 2002 12:47:00 +0100

lcdproc (0.4.3-6) unstable; urgency=low

  * removed --enable-drivers=all configure option
    because some drivers contains architecture
    dependent asm code
    (closes: Bug#136217)

 -- Noel Koethe <noel@debian.org>  Fri,  1 Mar 2002 21:30:00 +0100

lcdproc (0.4.3-5) unstable; urgency=low

  * small correction in description
  * added missing libc6-dev to build-deps

 -- Noel Koethe <noel@debian.org>  Wed, 27 Feb 2002 10:32:00 +0100

lcdproc (0.4.3-4) unstable; urgency=low

  * using the included init script (with small modifications)
  * using the included LCDd.conf
  * moved the perl examples to /usr/bin
  * added debconf note

 -- Noel Koethe <noel@debian.org>  Sun, 24 Feb 2002 17:42:00 +0100

lcdproc (0.4.3-3) unstable; urgency=low

  * corrected Daemon start

 -- Noel Koethe <noel@debian.org>  Wed, 20 Feb 2002 20:33:00 +0100

lcdproc (0.4.3-2) unstable; urgency=low

  * updated description
  * corrected driver option in init.d
    (closes: Bug#134590)

 -- Noel Koethe <noel@debian.org>  Mon, 18 Feb 2002 18:44:00 +0100

lcdproc (0.4.3-1) unstable; urgency=low

  * upstream version with security fixes

 -- Noel Koethe <noel@debian.org>  Sun, 27 Jan 2002 20:53:00 +0100

lcdproc (0.4.1-1) unstable; urgency=low

  * new upstream version from 2001-05-29
    (closes: Bug#129858)
    (closes: Bug#129857)
  * removed lcdprocconfig and uses now /etc/lcdproc.conf
    (closes: Bug#87427)
  * corrected init script
    (closes: Bug#98004)

 -- Noel Koethe <noel@debian.org>  Fri, 18 Jan 2002 22:32:00 +0100

lcdproc (0.3.4.5-1) unstable; urgency=low

  * new maintainer
    (closes: Bug#119089)
    (closes: Bug#70098)
    (closes: Bug#105036)
    (closes: Bug#67742)
    (closes: Bug#84518)
    (closes: Bug#87423)

 -- Noel Koethe <noel@debian.org>  Fri, 18 Jan 2002 18:40:00 +0100

lcdproc (0.3.4.5-0.2) unstable; urgency=low

  * NMU
  * Remove obsolete gcc option from Makefile. Closes: #105036

 -- Randolph Chung <tausq@debian.org>  Sat, 25 Aug 2001 20:58:19 -0700

lcdproc (0.3.4.5-0.1) unstable; urgency=low

  * Bugsquash party NMU.
  * New upstream release.
    - This should fix a floating point exception on startup (a grave bug,
      hence this NMU; closes: #70098). That bug report suggests upgrading
      only to 0.3.4.5 rather than any of the newer releases available, as

