=== debian/control ===
Source: lcdproc
Section: utils
Priority: extra
Maintainer: Jonathan Oxer <jon@debian.org>
Build-Depends: debhelper (>= 4.0.0), automake, autoconf2.13, texinfo, libncurses5-dev
Standards-Version: 3.6.0

Package: lcdproc
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 0.5.0)
Description: LCD display driver daemon and clients
 This is a client/server suite including drivers for all kinds of
 nifty LCD displays. The server supports several serial devices: Matrix
 Orbital, Crystal Fontz, Bayrad, LB216, LCDM001 (kernelconcepts.de),
 Wirz-SLI and PIC-an-LCD; and some devices connected to the LPT port:
 HD44780, STV5730, T6963, SED1520 and SED1330. As of 0.4.4 some USB
 displays are also supported by the drivers CFonz633, CwLnx, and USBLCD.
 .
 Various clients are available that display things like CPU load, system
 load, memory usage, uptime, and a lot more. Custom clients can be
 written using the simple client-server protocol and provided example
 code.
 .
 http://lcdproc.omnipotent.net/  or http://www.lcdproc.org/
