## lcdproc 0.4.5-1.1

=== debian/changelog ===
lcdproc (0.4.5-1.1) unstable; urgency=low

  * NMU.
  * debian/control: Remove unnecessary build dependencies on the
    autotools. (Closes: #376449)

 -- Eric Dorland <eric@debian.org>  Sat, 19 Aug 2006 13:33:18 -0400
