=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: extra
 Maintainer: Jonathan Oxer <jon@debian.org>
-Build-Depends: debhelper (>= 4.0.0), automake, autoconf2.13, texinfo, libncurses5-dev
+Build-Depends: debhelper (>= 4.0.0), texinfo, libncurses5-dev
 Standards-Version: 3.6.0
 
 Package: lcdproc
