## lcdproc 0.5.4

=== debian/changelog ===
lcdproc (0.5.4-6) unstable; urgency=low

  * debian/control: added build-depends on automake

 -- Dominique Dumont <domi.dumont@free.fr>  Thu, 05 May 2011 18:54:18 +0200

lcdproc (0.5.4-5) unstable; urgency=low

  * debian/compat: bumped to 8
  * debian/control:
    + depends on debhelper >= 8
    - Architecture: support all os except hurd
  * debian/rules:
    + Added option '--with autotools-dev' to dh call (handles
      config.guess and config.sub).
    + Runs debian/autogen.sh before running configure
    + build and install svgsa.so only if /usr/lib/libvga.so* is
      present on the build system
    - removed some cruft.
  * debian/autogen.sh: new file copied from libautotools-dev
  * debian/clean: remove all files generated by autogen.sh
  * debian/lcdproc-extra-drivers.install: removed svga.so (now
    handled by debian/rules)
  * debian/patches: renamed to remove package name and version
    from patch names
  * debian/source/options: added extend-diff-ignore to ignore files
    generated by autogen.sh
  * debian/copyright: added copyright for debian/autogen.sh

 -- Dominique Dumont <domi.dumont@free.fr>  Wed, 04 May 2011 20:05:49 +0200

lcdproc (0.5.4-4) unstable; urgency=low

  * control:
    - added vcs-git and vcs-browser fields.
    - Cleaned up with Config::Model's config-edit.
    - Set architecture to any to build also armhf.
    - build-depend on libsvga1-dev [ i386 amd64 ]
  * imported dont_eat_characters.patch (Closes: #580378) (Nick
    Leverton)

 -- Dominique Dumont <domi.dumont@free.fr>  Mon, 11 Apr 2011 18:36:51 +0200

lcdproc (0.5.4-2) unstable; urgency=low

  [ Dominique Dumont ]

  * New upstream release
    Closes: #614621, #505756, #578166, #531863
  * control: switch to Standard-Version 3.9.1.
    Removed dependency on quilt, doxygen and libirman-dev.
    Removed Tag line out of Description (Closes: #488290)
  * copyright: updated to DEP5 format
  * source/format: now 3.0 (quilt)
  * rules: removed --with quilt. Removed irman driver (cannot compile
    because libirman.a is not relocatable)
  * install: no longer install test client scripts nor INSTALL file

  [ Nick Leverton ]

  * Add pkg-config to Build-Depends (Closes: #579059)
  * Convert to quilt patch system
  * Update debian/rules to use dh build system and debhelper 7
  * Add autotools-dev to Build-Depends for config.{guess,sub}
  * Use upstream man pages where they exist, instead of older Debian ones
  * Remove unused gentoo patch from 0.4.3 (Closes: #533177)
  * New lcdproc-extra-drivers package for drivers which need extra libs:
    picolcd (Closes: #536076), g15 (Closes: #578166), lirc (Closes: #407650).
  * Fix remaining lintian issues (patch lcdproc-0.5.3-debian-spelling.diff
    and Build-Depends on autotools-dev).

 -- Dominique Dumont <domi.dumont@free.fr>  Wed, 09 Mar 2011 19:04:39 +0100

lcdproc (0.5.2-3) unstable; urgency=low

  * Changed debian/watch to use SourceForge redirector

 -- Jonathan Oxer <jon@debian.org>  Tue, 13 Jan 2009 23:44:47 +0000

lcdproc (0.5.2-2) unstable; urgency=low

  * Added manpage for lcdvc
  * Fixed debian/rules make clean warning
  * Updated standards version to 3.8.0
  * Fixed formatting in long description
  * Fixed debian/watch upstream URL format so it will work with
    SourceForge (Closes: #449780)

 -- Jonathan Oxer <jon@debian.org>  Wed, 17 Dec 2008 02:35:22 +0000

lcdproc (0.5.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Support all architectures except s390.
  * Add support for kfreebsd, thanks Cyril Brulebois. (Closes: #416261)

 -- Thiemo Seufer <ths@debian.org>  Thu, 02 Oct 2008 09:06:08 +0200

lcdproc (0.5.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add armel to supported archs

 -- Colin Tuckley <colint@debian.org>  Fri, 05 Sep 2008 18:17:50 +0100

lcdproc (0.5.2-1) unstable; urgency=medium

  * New upstream version

  * Compilation issues
    - restrict building to just i386, amd64 (Closes: #400066)

  * Packaging
    - bumped standards-version to 3.7.3 with no changes

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 09 Mar 2008 00:25:50 +0100

lcdproc (0.5.1-3) unstable; urgency=medium

  * Compilation issues
    - restrict building to just i386, amd64 (Closes: #400066)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri,  8 Dec 2006 15:37:56 +0100

lcdproc (0.5.1-2) unstable; urgency=low

  * Compilation issues
    - restrict building to just i386, amd64 and ppc (Closes: #395986)
    - remaining arches will be re-added once lcdproc is migrated to 'ppdev'

  * Updated initscript to work with new syntax (Closes: #397072)
    - also fixed duplicate $NAME output

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 12 Nov 2006 14:20:28 +0100

lcdproc (0.5.1-1) unstable; urgency=medium

  * New upstream version
    - Fixes compiling on hppa (Closes: #389294)
    - Many new features and some config changes. Please read upstream's
    release notes for more information
  
  * Avoid needing a /etc/mtab file at build time (Closes: #391912)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 15 Oct 2006 14:48:37 +0200

lcdproc (0.5.0-1) unstable; urgency=low

  * New upstream version (Closes: #367945)
    - New maintainer. Thank you for your previous work, Jon!
    - Upstream added suport for 'imon' devices (Closes: #365496)
    - Upstream fixed descriptor leak (Closes: #355460)
    - Upstream fixed placing widgets in frame (Closes: #355458)

  * Packaging
    - Depend on debconf-2.0; Allow transition (Closes: #331885)
    - Remove dependency on automake (Closes: #376449)
    - Include missing INSTALL instructions (Closes: #365436)
    - Changed most "by hand" installation steps into debhelper-based ones
    - Updated to 3.7.2 standards version

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 23 Jul 2006 20:23:48 +0200
