## lcdproc 0.5.5

=== debian/changelog ===
lcdproc (0.5.5-4) unstable; urgency=low

  * control: removed build-dep on libirman-dev (Closes: #728067)

 -- Dominique Dumont <dod@debian.org>  Thu, 31 Oct 2013 19:01:30 +0100

lcdproc (0.5.5-3) unstable; urgency=low

  Main change: svga support is removed from Debian version of lcdproc
  as svgalib is going to be removed from Debian.

  * control:
    - removed build dependency on libsvga1-dev (Closes: #711096)
    * updated standard-version and git urls
  * init script:
    + added status option
    * source /lib/lsb/init-functions
  * compat raised to 9. This also enables hardening build (Closes: #719107)
    Thanks to Daniel Leidert for the bug report and the proposed patch.
  * rules:
    * tweak extra-driver list to pass only the library basename
      to --exclude option
    * added quotes around drivers list
    * removed dead test about svga
    * removed flags setting now handled by compat 9
    * tweak LCDd.conf to setup DRIVERPATH with multiarch lib path
  - hence removed LCDd-conf-for-debian patch
  * *.install: added a '*' to cope with arch triplet
  * copyright: updated years
  + new patch: tweak LCDd.conf to use syslog and run LCDd as root (to read
    /dev/lcd* file)

 -- Dominique Dumont <dod@debian.org>  Mon, 19 Aug 2013 19:39:50 +0200

lcdproc (0.5.5-2) unstable; urgency=low

  * Applied patch to cope with new automake 1.11.3 (Thanks Andreas)
    (Closes: #661343)
  * control: bumped standard-version to 3.9.3 (no other changes)
  * copyright: updated format URL

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Feb 2012 19:00:59 +0100

lcdproc (0.5.5-1) unstable; urgency=low

  * new upstream version
  * copyright:
    + added Markus Dolze (current maintainer),
    * updated my e-mail address
  * control: updated my e-mail address
  - patches: removed dont_eat_characters fix-duplicate-svga-lib-in-
    acinclude fix-spelling patches (applied upstream)

 -- Dominique Dumont <dod@debian.org>  Sat, 12 Nov 2011 09:52:11 +0100
