=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: lcdproc
-Maintainer: Dominique Dumont <domi.dumont@free.fr>
+Maintainer: Dominique Dumont <dod@debian.org>
 Uploaders: Jose Luis Tallon <jltallon@adv-solutions.net>,
            Nick Leverton <nick@leverton.org>
 Section: utils
@@ -7,22 +7,20 @@
 Build-Depends: autoconf,
                automake,
                autotools-dev,
-               debhelper (>= 8),
+               debhelper (>= 9),
                libftdi-dev,
                libg15-dev,
                libg15daemon-client-dev,
                libg15render-dev,
-               libirman-dev,
                liblircclient-dev,
                libncurses5-dev,
-               libsvga1-dev [ i386 amd64 ],
                libusb-dev,
                libxosd-dev,
                pkg-config,
                texinfo
-Standards-Version: 3.9.2
-Vcs-Browser: http://git.debian.org/?p=collab-maint/lcdproc.git;a=summary
-Vcs-Git: git://git.debian.org/collab-maint/lcdproc.git
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lcdproc.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/lcdproc.git
 Homepage: http://www.lcdproc.org/
 
 Package: lcdproc
@@ -77,4 +75,3 @@
  issues.
  .
  Most people will not need this package.
-
