=== debian/watch ===
version=3
http://sf.net/lcdproc/lcdproc-([\d\.]+).tar.gz debian uupdate
