## lcdproc 0.5.7

=== debian/changelog ===
lcdproc (0.5.7-4) unstable; urgency=medium

  * copyright: fixed typo that trigger lintian errors
  * Remove autogen hack and and use dh-autoreconf (Closes: #808928)
    (Tx Andreas)
  * rules: removed obsolete dh_installinit params
  * Ship a systemd service file using dh-systemd

 -- Dominique Dumont <dod@debian.org>  Tue, 29 Dec 2015 19:26:08 +0100

lcdproc (0.5.7-3) unstable; urgency=medium

  * control:
    * removed Jose and Nick from uploaders
    * depends on new cme package and no longer
      on libconfig-model-perl
    * removed versioned dep on libconfig-model-lcdproc-perl
    * updated Vcs-Browser and Std-Versions
  * rules: patch source to use date of last changelog entry
    as build date to make build reproducible

 -- Dominique Dumont <dod@debian.org>  Sun, 17 May 2015 17:26:43 +0200

lcdproc (0.5.7-2) unstable; urgency=medium

  * stop/start LCDd on suspend/wakeup (LP: #365474)
  * provide and use permanent symlink for imon device file (LP: #1186569)
    This requires udev for Linux.
  * control:
    + added depends on udev and libconfig-model-lcdproc-perl (>= 2.042-2)
    + added dependency on libconfig-model-perl >= 2.059 to avoid a bug

 -- Dominique Dumont <dod@debian.org>  Sun, 06 Jul 2014 19:20:33 +0200

lcdproc (0.5.7-1) unstable; urgency=medium

  * Imported Upstream version 0.5.7
  * copyright: exclude files generated by autoconf
  * refreshed patches
  * untabified debian/NEWS to keep lintian happy
  * control: depends on libconfig-model-lcdproc-perl 2.042

 -- Dominique Dumont <dod@debian.org>  Wed, 04 Jun 2014 18:31:30 +0200

lcdproc (0.5.6-1) unstable; urgency=low

  * new upstream version
  * post-install script performs merge of upstream and user
    configuration (only for /etc/LCDd.conf). See NEWS file for
    more details
  * /etc/LCDd.conf is no longer delivered as a conffile (in /etc)
  * old configuration file is saved as /etc/LCDd.conf.dpkg-old
  * control:
    * updated Standard-version to 3.9.5
    * added dependency on libconfig-model-lcdproc-perl (required for
      automatic configuration merge)
  * copyright: updated years

 -- Dominique Dumont <dod@debian.org>  Fri, 28 Mar 2014 13:00:55 +0100
