=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: lcdproc
 Maintainer: Dominique Dumont <dod@debian.org>
-Uploaders: Jose Luis Tallon <jltallon@adv-solutions.net>,
-           Nick Leverton <nick@leverton.org>
 Section: utils
 Priority: extra
 Build-Depends: autoconf,
                automake,
                autotools-dev,
+               cme,
                debhelper (>= 9),
+               dh-autoreconf,
+               dh-systemd,
                libftdi-dev,
                libg15-dev,
                libg15daemon-client-dev,
@@ -18,16 +19,19 @@
                libxosd-dev,
                pkg-config,
                texinfo
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lcdproc.git;a=summary
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lcdproc.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/lcdproc.git
 Homepage: http://www.lcdproc.org/
 
 Package: lcdproc
 Architecture: linux-any kfreebsd-any knetbsd-any kopensolaris-any darwin-any freebsd-any netbsd-any openbsd-any solaris-any
-Depends: lsb-base,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         cme,
+         libconfig-model-lcdproc-perl,
+         lsb-base,
+         udev [linux-any]
 Recommends: lcdproc-extra-drivers
 Description: LCD display driver daemon and clients
  Lcdproc is a client/server suite including drivers for all kinds of
