=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,15 @@
 
 # --with autotools_dev will update/restore config.sub and config.guess
 %:
-	dh $@ --with autotools_dev
+	dh $@ --verbose --with autotools_dev --with autoreconf --with=systemd \
+          --with cme_upgrade
 
 override_dh_auto_configure:
-# from /usr/share/doc/autotools-dev/examples/rules.gz
 	perl -pi -e 's!DriverPath.*!DriverPath=/usr/lib/$(DEB_BUILD_MULTIARCH)/lcdproc/!;' LCDd.conf
-	chmod +x debian/autogen.sh
-	debian/autogen.sh
+# live patch to use date of last changelog entry as build date
+	DEBBUILDDATE=$$(perl -ne 'if (/ --.*?>\s+(.*)/) {print "$$1\n"; exit}' debian/changelog )  && \
+	export DEBBUILDDATE && \
+	perl -pi -e 's!__DATE__!"$$ENV{DEBBUILDDATE}"!;' clients/lcdproc/main.c server/main.c
 # Add here commands to configure the package.
 	dh_auto_configure -- \
 		--enable-stat-nfs \
@@ -41,9 +43,9 @@
 	dh_strip --dbg-package=lcdproc-dbg
 
 override_dh_installinit:
-	dh_installinit --name=LCDd -- start 60 2 3 4 5 . stop 60 0 1 6 .
+	dh_installinit --name=LCDd
 
 override_dh_install:
-	dh_install $(foreach lib,$(EXTRADRIVERS),--exclude=$(lib)) -plcdproc 
+	dh_install $(foreach lib,$(EXTRADRIVERS),--exclude=$(lib)) --exclude LCDd.conf -plcdproc
 	dh_install --autodest  -plcdproc-extra-drivers
 	dh_install --remaining-packages --list-missing
