## lcdproc 0.5.8

=== debian/changelog ===
lcdproc (0.5.8-1) unstable; urgency=medium

  * New upstream version 0.5.8
    - no change compared to 0.5.8~rc2
  * control: declare compliance with policy 4.0.0

 -- Dominique Dumont <dod@debian.org>  Wed, 21 Jun 2017 14:43:57 +0200

lcdproc (0.5.8~rc2-1) experimental; urgency=medium

  * New upstream version 0.5.8~rc2
  * control: build-dep on cme >= 1.016-2 to deliver
    debconf files (Closes: #851579)

 -- Dominique Dumont <dod@debian.org>  Wed, 18 Jan 2017 19:29:02 +0100

lcdproc (0.5.8~rc1-1) experimental; urgency=medium

  * New upstream version 0.5.8~rc1
    https://github.com/lcdproc/lcdproc/releases/tag/v0.5.8rc1
    (Closes:  #849659)
  * updated watch file to use github
  * control: update standards-version to 3.9.8
  * copyright: fix URL
  * copyright: source files are now downloaded from github
  * compiled with new libusb1. Although dependency on libusb-dev
    cannot be yet removed, so #810428 is not closed.
  * add #! on postinst script (Closes: #843299)

 -- Dominique Dumont <dod@debian.org>  Sun, 08 Jan 2017 16:10:25 +0100

lcdproc (0.5.7-7) unstable; urgency=medium

  * patch to fix hppa compilation (Closes: #809456)

 -- Dominique Dumont <dod@debian.org>  Tue, 22 Mar 2016 19:45:10 +0100

lcdproc (0.5.7-6) unstable; urgency=medium

  * disabled patch lis-libftdi1. The switch to libftdi1-dev must
    be done with switch to libusb1. Sorry about the mess.
  * control: put back dependency on libftdi1-dev (re-opened #810373)

 -- Dominique Dumont <dod@debian.org>  Sun, 20 Mar 2016 18:18:09 +0100

lcdproc (0.5.7-5) unstable; urgency=medium

  * patch to update libftdi1
  * control: updated std-versions to 3.9.7
  * control: build-dep on libftdi1-dev (Closes: #810373)

 -- Dominique Dumont <dod@debian.org>  Sun, 20 Mar 2016 16:55:38 +0100
