=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: autoconf,
                automake,
                autotools-dev,
-               cme,
+               cme (>= 1.016-2),
                debhelper (>= 9),
                dh-autoreconf,
                dh-systemd,
@@ -15,13 +15,14 @@
                libg15render-dev,
                liblircclient-dev,
                libncurses5-dev,
+               libusb-1.0-0-dev,
                libusb-dev,
                libxosd-dev,
                pkg-config,
                texinfo
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/lcdproc.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/lcdproc.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/lcdproc.git
 Homepage: http://www.lcdproc.org/
 
 Package: lcdproc
