=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,7 @@
 
 # --with autotools_dev will update/restore config.sub and config.guess
 %:
-	dh $@ --verbose --with autotools_dev --with autoreconf --with=systemd \
-          --with cme_upgrade
+	dh $@ --verbose --with autotools_dev,autoreconf,systemd,cme-upgrade
 
 override_dh_auto_configure:
 	perl -pi -e 's!DriverPath.*!DriverPath=/usr/lib/$(DEB_BUILD_MULTIARCH)/lcdproc/!;' LCDd.conf
@@ -30,6 +29,7 @@
 		--enable-stat-smbfs \
 		--enable-drivers="$(DRIVERS)" \
 		--enable-libusb \
+		--enable-libusb-1-0 \
 		--enable-seamless-hbars \
 		--enable-testmenus \
 		--enable-permissive-menu-goto \
