=== debian/watch ===
version=4
    opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*(?:rc\d))?\.tar\.gz%lcdproc-$1.tar.gz%" \
    https://github.com/lcdproc/lcdproc/releases \
    (?:.*?/)lcdproc\-(\d[\d.]*(?:rc\d)?)\.tar\.gz debian uupdate
