## lcdproc 0.5.9

=== debian/changelog ===
lcdproc (0.5.9-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + lcdproc-extra-drivers: Add Multi-Arch: same.

  [ Dominique Dumont ]
  * fix (postinst): fix udevadm call
  * control: declare compliance with policy 4.5.1
  * fix (control): set lcdproc as Multi-Arch foreign

 -- Dominique Dumont <dod@debian.org>  Sun, 27 Dec 2020 19:13:56 +0100

lcdproc (0.5.9-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop transition for old debug package migration.

  [ Dominique Dumont ]
  * fix rename of /etc/init.d/LCDd to /etc/init.d/lcdproc (Closes: 967058)

 -- Dominique Dumont <dod@debian.org>  Wed, 05 Aug 2020 16:00:30 +0200

lcdproc (0.5.9-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Repository.
  * Drop unnecessary dependency on dh-autoconf.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entries 0.4.3-11, 0.4.3-10.

  [ Dominique Dumont ]
  * fix gcc 10 compat issue (Closes: 957418)
  * control: add Pre-Depends variable
  * rename service and LCDd init files
  * control: drop build dep on autotools-dev
  * control: declare compliance with policy 4.5.0
  * workaround kernel bug. Unfortunately, this break imon setup. The right
    device file must be setup manually in /etc/lcdproc.conf.

 -- Dominique Dumont <dod@debian.org>  Fri, 24 Jul 2020 17:34:07 +0200

lcdproc (0.5.9-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Dominique Dumont ]
  * No longer build g15 driver (Closes: #915770)
  * remove unused patch files
  * control: drop dh-systemd dep
  * control: declare compliance with policy 4.2.1
  * lcdproc-dbgsym package replaces lcdproc-dbg package
  * rules: drop --with autotools_dev

 -- Dominique Dumont <dod@debian.org>  Thu, 13 Dec 2018 12:22:44 +0100

lcdproc (0.5.9-2) unstable; urgency=medium

  * control: rm build-dep on libftdi-dev and libusb-dev (Closes: #810428)
    As a consequence, the IOWarrior i2500vfd lis ula200 and shuttleVFD
    drivers are no longer delivered.

 -- Dominique Dumont <dod@debian.org>  Tue, 19 Sep 2017 12:15:53 +0200

lcdproc (0.5.9-1) unstable; urgency=medium

  * New upstream version 0.5.9
  * control: remove version from cme dependency
  * control: declare compliance with policy 4.1.0
  * rules: add hardening instructions
  * refreshed patches
  * watch: skip rc releases
  * fill-copyright-blanks: add override for
    server/drivers/hd44780-spi.c license
  * copyright: (big) update with cme

 -- Dominique Dumont <dod@debian.org>  Sat, 26 Aug 2017 20:11:16 +0200
