=== debian/control ===
Source: lcdproc
Maintainer: Dominique Dumont <dod@debian.org>
Section: utils
Priority: optional
Build-Depends: autoconf,
               automake,
               cme,
               debhelper-compat (= 12),
               liblircclient-dev,
               libncurses5-dev,
               libusb-1.0-0-dev,
               libxosd-dev,
               pkg-config,
               texinfo
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/lcdproc
Vcs-Git: https://salsa.debian.org/debian/lcdproc.git
Homepage: http://www.lcdproc.org/

Package: lcdproc
Architecture: linux-any kfreebsd-any knetbsd-any kopensolaris-any darwin-any freebsd-any netbsd-any openbsd-any solaris-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         cme,
         libconfig-model-lcdproc-perl,
         lsb-base,
         udev [linux-any]
Recommends: lcdproc-extra-drivers
Pre-Depends: ${misc:Pre-Depends}
Description: LCD display driver daemon and clients
 Lcdproc is a client/server suite including drivers for all kinds of
 nifty LCD displays. The server supports several serial devices: Matrix
 Orbital, Crystal Fontz, Bayrad, LB216, LCDM001 (kernelconcepts.de),
 Wirz-SLI and PIC-an-LCD; and some devices connected to the LPT port:
 HD44780, STV5730, T6963, SED1520 and SED1330.
 .
 Various clients are available that display things like CPU load, system
 load, memory usage, uptime, and a lot more. Custom clients can be
 written using the simple client-server protocol and provided example
 code.
 .
 This package contains the LCD drivers which need no extra libraries to
 run. In the lcdproc-extra-drivers package some USB and VGA on-screen
 displays are also supported.

Package: lcdproc-extra-drivers
Architecture: linux-any kfreebsd-any knetbsd-any kopensolaris-any darwin-any freebsd-any netbsd-any openbsd-any solaris-any
Multi-Arch: same
Depends: lcdproc (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: extra drivers for the LCD display driver daemon
 Lcdproc is a client/server suite including drivers for all kinds of
 nifty LCD displays. The server supports several serial devices: Matrix
 Orbital, Crystal Fontz, Bayrad, LB216, LCDM001 (kernelconcepts.de),
 Wirz-SLI and PIC-an-LCD; and some devices connected to the LPT port:
 HD44780, STV5730, T6963, SED1520 and SED1330. As of 0.4.4 some USB
 displays are also supported by the drivers CFonz633, CwLnx, and USBLCD.
 .
 This package contains the LCD drivers which need extra libraries to
 run such as USB, LIRC, SVGA, and the X Window System.
