=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,13 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+# see FEATURE AREAS in dpkg-buildflags(1)
+include /usr/share/dpkg/architecture.mk
+DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # Note: Read /usr/share/doc/autotools-dev/README.Debian.gz
 
@@ -13,9 +20,8 @@
 
 DRIVERS = all,!irman,!svga
 
-# --with autotools_dev will update/restore config.sub and config.guess
 %:
-	dh $@ --verbose --with autotools_dev,autoreconf,systemd,cme-upgrade
+	dh $@ --verbose --with=cme-upgrade
 
 override_dh_auto_configure:
 	perl -pi -e 's!DriverPath.*!DriverPath=/usr/lib/$(DEB_BUILD_MULTIARCH)/lcdproc/!;' LCDd.conf
@@ -39,13 +45,7 @@
 override_dh_installman:
 	dh_installman --language=C
 
-override_dh_strip:
-	dh_strip --dbg-package=lcdproc-dbg
-
-override_dh_installinit:
-	dh_installinit --name=LCDd
-
 override_dh_install:
 	dh_install $(foreach lib,$(EXTRADRIVERS),--exclude=$(lib)) --exclude LCDd.conf -plcdproc
 	dh_install --autodest  -plcdproc-extra-drivers
-	dh_install --remaining-packages --list-missing
+	dh_install --remaining-packages
